%global gem_name rspec-support
%global mainver 3.8.2
%undefine prever
%global mainrel 1
%global prerpmver %(echo "%{?prever}" | sed -e 's|\\.||g')
%global need_bootstrap_set 0
%undefine __brp_mangle_shebangs
Name:           rubygem-%{gem_name}
Version:        %{mainver}
Release:        1
Summary:        Common functionality to Rspec series
License:        MIT
URL:            https://github.com/rspec/rspec-support
Source0:        https://rubygems.org/gems/%{gem_name}-%{mainver}%{?prever}.gem
Source1:        https://github.com/rspec/%{gem_name}/archive/v%{mainver}.tar.gz
# tweak regex for search path
Patch100:       rubygem-rspec-support-3.2.1-callerfilter-searchpath-regex.patch
BuildRequires:  rubygems-devel
%if 0%{?need_bootstrap_set} < 1
BuildRequires:  rubygem(rspec) rubygem(thread_order) rubygem(bigdecimal) git
%endif
BuildArch:      noarch
%description
`RSpec::Support` provides common functionality to `RSpec::Core`,
`RSpec::Expectations` and `RSpec::Mocks`. It is considered
suitable for internal use only at this time.

%package        doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch
%description    doc
Documentation for %{name}
%global version_orig %{version}
%global version %{version_orig}%{?prever}

%prep
%setup -q -T -n %{gem_name}-%{version} -b 1
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%patch100 -p1

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
    %{buildroot}%{gem_dir}/
%if 0%{?need_bootstrap_set} < 1

%check
LANG=C.UTF-8
FAILFILE=()
FAILTEST=()
%if 0
FAILFILE+=("spec/rspec/support/differ_spec.rb")
FAILTEST+=("copes with encoded strings")
%endif
for ((i = 0; i < ${#FAILFILE[@]}; i++)) {
    sed -i \
        -e "\@${FAILTEST[$i]}@s|do$|, :broken => true do|" \
        ${FAILFILE[$i]}
}
ruby -rrubygems -Ilib/ -S rspec spec/ || \
    ruby -rrubygems -Ilib/ -S rspec --tag ~broken
%endif

%files
%dir        %{gem_instdir}
%license    %{gem_instdir}/LICENSE.md
%doc        %{gem_instdir}/Changelog.md
%doc        %{gem_instdir}/README.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc    %{gem_docdir}

%changelog
* Tue Aug 25 2020 fanjiachen <fanjiachen3@huawei.com> - 3.8.2-1
- package init
